Client account
Create SSH key
Adds an SSH key to the user's account. Used for SFTP authentication. Requires a 2048+ bit RSA key or an ECDSA/Ed25519 key.
POST
/api/client/account/ssh-keysAuthorization
ClientToken AuthorizationBearer <token>
Client API key (generated at /account/api)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/client/account/ssh-keys" \ -H "Content-Type: application/json" \ -d '{ "name": "my-key", "public_key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAI... user@host" }'{ "object": "ssh_key", "attributes": { "name": "my-key", "fingerprint": "jwNan4mvlewsaCP5p7YKVgALQGUBiOCcKViJIGIrktQ", "public_key": "-----BEGIN PUBLIC KEY-----\r\nMCowBQYDK2VwAyEA...\r\n-----END PUBLIC KEY-----", "created_at": "2026-02-22T15:23:33+01:00" }}